## org.apache.poi.xslf.usermodel
Class XSLFBackground

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFShape
          org.apache.poi.xslf.usermodel.XSLFSimpleShape
              org.apache.poi.xslf.usermodel.XSLFBackground

    public class XSLFBackground

extends XSLFSimpleShape

Background shape

Author:
  Yegor Kozlov

Method Summary
`void` `draw(java.awt.Graphics2D graphics)` Draw this shape into the supplied canvas
`java.awt.geom.Rectangle2D` `getAnchor()`
`java.awt.Color` `getFillColor()`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSimpleShape

`drawContent, getCTPlaceholder, getFlipHorizontal, getFlipVertical, getLineCap, getLineColor, getLineDash, getLineHeadDecoration, getLineHeadLength, getLineHeadWidth, getLineTailDecoration, getLineTailLength, getLineTailWidth, getLineWidth, getNvPr, getRotation, getShadow, getShapeId, getShapeName, getShapeType, getSheet, getSpPr, getSpStyle, getXmlObject, setAnchor, setFillColor, setFlipHorizontal, setFlipVertical, setLineCap, setLineColor, setLineDash, setLineHeadDecoration, setLineHeadLength, setLineHeadWidth, setLineTailDecoration, setLineTailLength, setLineTailWidth, setLineWidth, setRotation, setShapeType`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFShape
`applyTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAnchor

    public java.awt.geom.Rectangle2D getAnchor()

  Overrides:
    `getAnchor` in class `XSLFSimpleShape`
  Returns:
    the position of this shape within the drawing canvas. The coordinates are expressed in points

### draw

    public void draw(java.awt.Graphics2D graphics)

  Description copied from class: `XSLFShape`
  Draw this shape into the supplied canvas

  Overrides:
    `draw` in class `XSLFSimpleShape`
  Parameters:
    `graphics` - the graphics to draw into

### getFillColor

    public java.awt.Color getFillColor()

  Overrides:
    `getFillColor` in class `XSLFSimpleShape`
  Returns:
    solid fill color of null if not set or fill color is not solid (pattern or gradient)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.